function [ I ] = getHotPixelsCons( fluor, mask )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here


T0 = numel( fluor );

ss = size( fluor{1} );

L0 = ss(2);
dL = round( 0.15* L0);


Is = zeros( 1,T0 );
Ie = zeros( 1,T0 );
Im = zeros( 1,T0 );

rowRange = round(ss(1)*0.33):round(ss(1)*0.66); 

for T = 1:T0
    
    
    
    ind = find(sum( double( mask{T} ))>0);
    
    startInd = min(ind);
    endInd   = max(ind);
    
    sRange = startInd-1+(1:dL);
    eRange = endInd-dL+(1:dL);
    mRange = round((L0-dL)/2):round((L0+dL)/2);
    
    
    if 0
        figure(32 );
        clf;
        
        backer = ag( mask{T} );
        
        b3 = cat( 3, backer, backer, backer);
        
        b3(rowRange,sRange,1) = 0;
        b3(rowRange,eRange,2) = 0;
        b3(rowRange,mRange,3) = 0;
        
        
        imshow( b3 );
    end
    
    masktmp = zeros( ss );
    masktmp(rowRange,sRange) = 1;
    mask0 = ((mask{T}.*masktmp)>0.5);
    Is(T) = max(fluor{T}(mask0));
    
    masktmp = zeros( ss );
    masktmp(rowRange,eRange) = 1;
    mask0 = ((mask{T}.*masktmp)>0.5);
    Ie(T) = max(fluor{T}(mask0));
    
    
    masktmp = zeros( ss );
    masktmp(rowRange,mRange) = 1;
    mask0 = ((mask{T}.*masktmp)>0.5);
    Im(T) = max(fluor{T}(mask0));
    
    
end


if 0
    figure(33);
    clf;
    plot( Is, '.-r' );
    hold on;
    plot( Ie, '.-b' );
    plot( Im, '.-g' );
end

I = [Is',Im',Ie'];


end


